GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

          • Get the list of email templates
          • Modify email template
          • Preview email template
          • Get third-party email service configuration
          • Configure third-party email service
        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage message service

  10. /
  11. Configure third-party email service

¶ Configure third-party email service

Update time: 2025-07-23 07:34:21
Edit

Configure third-party email service

¶ Method Name

AuthenticationClient.configEmailProvider

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
typestringYes-Third-party mail service provider type:
- custom: Custom SMTP mail service
- ali: Ali Enterprise Mailbox (opens new window)
- qq: Tencent Enterprise Mailbox (opens new window)
- sendgrid: SendGrid mail service (opens new window)
custom
enabledbooleanYes-Whether to enable. If not enabled, the built-in mail service of GenAuth will be used by defaulttrue
smtpConfigSMTPEmailProviderConfigInputNo-SMTP mail service configuration
sendGridConfigSendGridEmailProviderConfigInputNo-SendGrid mail service configuration
aliExmailConfigAliExmailEmailProviderConfigInputNo-Ali enterprise mail service configuration
tencentExmailConfigTencentExmailEmailProviderConfigInputNo-Tencent enterprise mail service configuration

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.AliExmailEmailProviderConfigInput;
import cn.authing.sdk.java.dto.ConfigEmailProviderDto;
import cn.authing.sdk.java.dto.EmailProviderRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class ConfigEmailProviderTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        ConfigEmailProviderDto reqDto = new ConfigEmailProviderDto();
        reqDto.setType(ConfigEmailProviderDto.Type.ALI);
        reqDto.setEnabled(Boolean.FALSE);
        AliExmailEmailProviderConfigInput configInput = new AliExmailEmailProviderConfigInput();
        configInput.setSender("sender");
        configInput.setSenderPass("password1");
        reqDto.setAliExmailConfig(configInput);
        EmailProviderRespDto response = client.configEmailProvider(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: EmailProviderRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberThis error code is used to get the specific error type.
requestIdstringRequest ID. Returned when the request fails.
dataEmailProviderDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "enabled": true,
    "type": "custom",
    "smtpConfig": {
      "smtp_host": "smtp.example.com",
      "smtp_port": 465,
      "sender": "test",
      "senderPass": "passw0rd",
      "secure": true
    },
    "sendGridConfig": {
      "sender": "test",
      "apikey": "xxxxxxxxxx"
    },
    "aliExmailConfig": {
      "sender": "test",
      "senderPass": "passw0rd"
    },
    "tencentExmailConfig": {
      "sender": "test",
      "senderPass": "passw0rd"
    }
  }
}

¶ Data Structure

¶ SMTPEmailProviderConfigInput

NameType
Is it required
Description
Example Value
smtp_hoststringyesSMTP addresssmtp.example.com
smtp_portnumberyesSMTP port465
senderstringnoUsernametest
senderPassstringyesPasswordpassw0rd
securebooleannoWhether to enable SSLtrue

¶ SendGridEmailProviderConfigInput

NameType
Is it required
Description
Example Value
senderstringyesusernametest
apikeystringyesSendGrid API Key, see [SendGrid documentation] for details(https://docs.sendgrid.com/ui/account-and-settings/api-keys)。xxxxxxxxxx

¶ AliExmailEmailProviderConfigInput

NameType
Is it required
Description
Example Value
senderstringyesusernametest
senderPassstringyespasswordpassw0rd

¶ TencentExmailEmailProviderConfigInput

NameType
Is it required
Description
Example Value
senderstringyesusernametest
senderPassstringyespasswordpassw0rd

¶ EmailProviderDto

NameType
Is it required
Description
Example Value
enabledbooleanyesWhether to enable. If not enabled, the built-in mail service of GenAuth will be used by defaulttrue
typestringnoThird-party mail service provider type:
- custom: Custom SMTP mail service
- ali: Ali Enterprise Mailbox (opens new window)
- qq: Tencent Enterprise Mailbox (opens new window)
- sendgrid: SendGrid Mail Service (opens new window)
ali
smtpConfignoSMTP mail service configuration Nested Type: SMTPEmailProviderConfig.
sendGridConfigNoSendGrid email service configuration Nested Type: SendGridEmailProviderConfig.
aliExmailConfigNoAli enterprise email service configuration Nested Type: AliExmailEmailProviderConfig.
tencentExmailConfigNoTencent enterprise email service configuration Nested Type:TencentExmailEmailProviderConfig。

¶ SMTPEmailProviderConfig

NameType
Is it required
Description
Example Value
smtp_hoststringyesSMTP addresssmtp.example.com
smtp_portnumberyesSMTP port465
senderstringyesUsernametest
senderPassstringyesPasswordpassw0rd
securebooleanyesWhether to enable SSLtrue

¶ SendGridEmailProviderConfig

NameType
Is it required
Description
Example Value
senderstringyesusernametest
apikeystringyesSendGrid API Key, see [SendGrid documentation] for details(https://docs.sendgrid.com/ui/account-and-settings/api-keys)。xxxxxxxxxx

¶ AliExmailEmailProviderConfig

NameType
Is it required
Description
Example Value
senderstringyesusernametest
senderPassstringyespasswordpassw0rd

¶ TencentExmailEmailProviderConfig

NameType
Is it required
Description
Example Value
senderstringyesusernametest
senderPassstringyespasswordpassw0rd
Previous article: Get third-party email service configuration Next article: Create Pipeline function
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.